Create organization
curl --request POST \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference_id": "client_acme_001",
"tpa_id": 42,
"name": "Acme AB"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reference_id: 'client_acme_001', tpa_id: 42, name: 'Acme AB'})
};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations"
payload = {
"reference_id": "client_acme_001",
"tpa_id": 42,
"name": "Acme AB"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reference_id' => 'client_acme_001',
'tpa_id' => 42,
'name' => 'Acme AB'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 3,
"reference_id": "client_acme_001",
"tpa_id": 42,
"account_id": 1,
"name": "Acme AB"
}Organizations
Create organization
POST
/
accounts
/
{accountId}
/
organizations
Create organization
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Your account ID
Response
201 - application/json
Organization created
⌘I

